Bug 44067 - UrlToUuidRewriter doesn't always have newest sitetree information
Summary: UrlToUuidRewriter doesn't always have newest sitetree information
Status: REOPENED
Alias: None
Product: Lenya
Classification: Unclassified
Component: Miscellaneous (show other bugs)
Version: Trunk
Hardware: Other other
: P2 major
Target Milestone: 2.0.1
Assignee: Lenya Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-12 07:58 UTC by Richard Frovarp
Modified: 2009-06-04 08:31 UTC (History)
0 users



Attachments
Patch to kupu config to filter non-basic XHTML tags. (2.20 KB, patch)
2009-06-04 08:23 UTC, Rainer Schöpf
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Frovarp 2007-12-12 07:58:48 UTC
The problem is OneForm and FCK don't translate the URL to UUID for content that
was uploaded after the browser was started. Or at least content that the user
uploaded.

To replicate:
Open up either editor
Insert image dialog
Upload new image
Insert that image
Save

If the image is already there, or if the page is saved a second time, there is
no problem. Kupu doesn't have an image upload (that I can find), BXE works fine,
and TinyMCE mucks with the URL preventing the URL to UUID translation from
working to begin with.
Comment 1 Richard Frovarp 2007-12-12 08:02:55 UTC
I just confirmed:
If user B uploads and image while user A is editing a page. 
User A then insert B's uploaded image
Page is saved without URL to UUID translation.
Comment 2 Richard Frovarp 2008-01-28 08:43:58 UTC
I need to confirm the exact issue, but UrlToUuidRewriter doesn't always have the
latest sitetree data, causing the line factory.isDocument to return false some
of the time. I believe this is caused due to the information being stored in the
session. If the sitetree changes after it has been loaded into the session, the
rewriter can't properly act on the updates.
Comment 3 Andreas Hartmann 2008-05-30 05:20:30 UTC
This could be fixed in revision 661679. It would be great if you could test it, TALIA!
Comment 4 Andreas Hartmann 2008-06-12 05:03:21 UTC
Seems to be fixed, I can't reproduce the problem anymore. Please reopen if it persists.
Comment 5 Richard Frovarp 2008-08-21 08:25:36 UTC
I'm still able to reproduce.
Comment 6 Rainer Schöpf 2009-06-04 08:23:12 UTC
Created attachment 23761 [details]
Patch to kupu config to filter non-basic XHTML tags.
Comment 7 Rainer Schöpf 2009-06-04 08:31:13 UTC
(In reply to comment #6)
> Created an attachment (id=23761) [details]
> Patch to kupu config to filter non-basic XHTML tags.

OOPS sorry, attached to wrong bug number. Not sure how this happened.

Please ignore.